import request from '@/utils/request'

// 查询大项比例列表
export function getTypeRatioList() {
  return request({
    url: `/nenu/gf-ratio-manage/type-ratio-list`,
    method: 'get'
  })
}

// 保存大项比例列表
export function saveTypeRatioList(gfTypeRatioSaveDto) {
  return request({
    url: '/nenu/gf-ratio-manage/type-ratio-list',
    method: 'put',
    data: gfTypeRatioSaveDto
  })
}

// 查询单项比例分页
export function getIndividualRatioPage(query) {
  return request({
    url: '/nenu/gf-ratio-manage/individual-ratio-page',
    method: 'get',
    params: query
  })
}

